package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.ModulAplikasi;
import com.jasamedika.medifirst2000.entities.NotifMessaging;
import com.jasamedika.medifirst2000.entities.ObjekModulAplikasi;
import com.jasamedika.medifirst2000.entities.Ruangan;

public class NotifikasiMessageObjekModulVO extends BaseMasterVO {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3391967553259389054L;


	private Integer id;	
	private String titleNotifikasi;
	private String pesanNotifikasi;
	private String customURLObjekModul;
	private String namaFungsiFrontEnd;

	private Integer notifMessagingId;
	private Integer modulAplikasiId;
	private Integer objekModulAplikasiId;
	private Integer ruanganId;
	
	private NotifMessaging notifMessaging;
	private ModulAplikasi modulAplikasi;
	private ObjekModulAplikasi objekModulAplikasi;
	private Ruangan ruangan;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
	public String getTitleNotifikasi() {
		return titleNotifikasi;
	}


	public void setTitleNotifikasi(String titleNotifikasi) {
		this.titleNotifikasi = titleNotifikasi;
	}

	public String getPesanNotifikasi() {
		return pesanNotifikasi;
	}

	public void setPesanNotifikasi(String pesanNotifikasi) {
		this.pesanNotifikasi = pesanNotifikasi;
	}

	public String getCustomURLObjekModul() {
		return customURLObjekModul;
	}

	public void setCustomURLObjekModul(String customURLObjekModul) {
		this.customURLObjekModul = customURLObjekModul;
	}
	
	public String getNamaFungsiFrontEnd() {
		return namaFungsiFrontEnd;
	}

	public void setNamaFungsiFrontEnd(String namaFungsiFrontEnd) {
		this.namaFungsiFrontEnd = namaFungsiFrontEnd;
	}


	public Integer getNotifMessagingId() {
		return notifMessagingId;
	}

	public void setNotifMessagingId(Integer notifMessagingId) {
		this.notifMessagingId = notifMessagingId;
	}

	public Integer getModulAplikasiId() {
		return modulAplikasiId;
	}

	public void setModulAplikasiId(Integer modulAplikasiId) {
		this.modulAplikasiId = modulAplikasiId;
	}

	public Integer getObjekModulAplikasiId() {
		return objekModulAplikasiId;
	}

	public void setObjekModulAplikasiId(Integer objekModulAplikasiId) {
		this.objekModulAplikasiId = objekModulAplikasiId;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public NotifMessaging getNotifMessaging() {
		return notifMessaging;
	}

	public void setNotifMessaging(NotifMessaging notifMessaging) {
		this.notifMessaging = notifMessaging;
	}

	public ModulAplikasi getModulAplikasi() {
		return modulAplikasi;
	}

	public void setModulAplikasi(ModulAplikasi modulAplikasi) {
		this.modulAplikasi = modulAplikasi;
	}

	public ObjekModulAplikasi getObjekModulAplikasi() {
		return objekModulAplikasi;
	}

	public void setObjekModulAplikasi(ObjekModulAplikasi objekModulAplikasi) {
		this.objekModulAplikasi = objekModulAplikasi;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	

}
